﻿#region File Description

#endregion

using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TetrisDreams
{
    // Generates and stores upcoming blocks in a first in first out queue
    public class TetrisBlockQueue
        {
        public List<TetrisBlock> myQueue;
        
        
        public static readonly int numberOfDifferentBlocks = 7;
        
        #region Initialization

        public TetrisBlockQueue()
            {
            myQueue = new List<TetrisBlock>();
            Refill();
            }

        private void Refill()
            {
            Random rand = new Random();

            while(myQueue.Count != 5)
                {
                // Generate a random piece from the seven building blocks we have
                int BlockType = rand.Next(numberOfDifferentBlocks);

                myQueue.Add(new TetrisBlock((EBlockColor)(BlockType+1), BlockType));         
                }
            }

        #endregion

        #region Public Methods

        public void Delete()
            {
            }

        public void RemoveBlock()
            {
            myQueue.RemoveAt(0);
            Refill();
            }

        public void NextBlock(ref TetrisBlock block)
            {
            block = myQueue.ElementAt(0);
            }


        public void Reset()
            {
            myQueue.Clear();
            Refill();
            }

        #endregion

    }
}
