﻿#region File Description
#endregion

#region Using Statements
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;
#endregion

namespace TetrisDreams
{
    public class HighscorePost
    {
        #region Fields
        public String name;
        public int score;
        #endregion

        public HighscorePost() { }
        public HighscorePost(String aName, int aScore)
            {
            name = aName;
            score = aScore;
            }
        public override string ToString()
            { 
            StringBuilder sb = new StringBuilder();

            sb.Append(name);
            sb.Append(score.ToString());

            while(sb.Length < 20)
                {
                sb.Insert(name.Length, " ");
                }

            string result = sb.ToString();
            return result;
            }
        }

    public class TetrisSaveData
        {
        public string owner = "Bityard AB";
        public bool music = true;
        public int musicvolyme = 100;
        public bool sfx = true;
        public int sfxvolyme = 100;
        public List<HighscorePost> highscore = new List<HighscorePost>();
        }

        
}
